#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=murzhik2.5_base.ps
projection=-JM16.0c+
region=-R77.5/78.0/49.8/50.1
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map murzhik2.5' -K > $psfile
gmt grdcut tables/gmt/dem/custom/murzhik_srtm1.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grd2cpt mloc.grd -Ctables/gmt/cpt/elevation.cpt > mloc.cpt
palette=-Cmloc.cpt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd mloc.cpt
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    49.904    77.725
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    49.951    77.715
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    49.974    77.708
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    49.958    77.693
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    49.937    77.721
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    49.948    77.667
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    49.988    77.762
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    49.967    77.672
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    49.978    77.678
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    49.975    77.624
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    49.979    77.590
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    49.977    77.732
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    49.953    77.633
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    49.982    77.619
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    49.940    77.699
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    49.961    77.664
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    49.912    77.803
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    49.998    77.839
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    49.943    77.820
    49.944    77.820
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.923    77.735
    49.904    77.725
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    49.944    77.820
    49.904    77.725
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    49.991    77.810
    49.991    77.810
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.988    77.771
    49.951    77.715
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    49.991    77.810
    49.951    77.715
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.014    77.803
    50.014    77.803
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.015    77.814
    49.974    77.708
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.014    77.803
    49.974    77.708
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    49.997    77.788
    49.997    77.788
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.973    77.847
    49.958    77.693
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    49.997    77.788
    49.958    77.693
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    49.977    77.816
    49.977    77.816
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.939    77.884
    49.937    77.721
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    49.977    77.816
    49.937    77.721
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    49.988    77.763
    49.988    77.763
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.949    77.805
    49.948    77.667
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    49.988    77.763
    49.948    77.667
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.028    77.857
    50.028    77.857
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.984    77.876
    49.988    77.762
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.028    77.857
    49.988    77.762
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.007    77.767
    50.006    77.767
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.984    77.760
    49.967    77.672
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.006    77.767
    49.967    77.672
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.017    77.773
    50.017    77.773
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.953    77.836
    49.978    77.678
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.017    77.773
    49.978    77.678
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.014    77.719
    50.014    77.719
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.989    77.706
    49.975    77.624
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.014    77.719
    49.975    77.624
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.018    77.685
    50.018    77.685
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.998    77.667
    49.979    77.590
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.018    77.685
    49.979    77.590
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.017    77.827
    50.017    77.827
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.915    77.836
    49.977    77.732
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.017    77.827
    49.977    77.732
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    49.992    77.728
    49.993    77.728
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.867    77.610
    49.953    77.633
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    49.993    77.728
    49.953    77.633
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.022    77.714
    50.022    77.714
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.980    77.758
    49.982    77.619
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.022    77.714
    49.982    77.619
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    49.979    77.795
    49.979    77.794
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.942    77.857
    49.940    77.699
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    49.979    77.794
    49.940    77.699
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.001    77.759
    50.001    77.759
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.978    77.760
    49.961    77.664
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.001    77.759
    49.961    77.664
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    49.952    77.899
    49.952    77.899
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    49.921    77.830
    49.912    77.803
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    49.952    77.899
    49.912    77.803
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.037    77.934
    50.037    77.934
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.000    77.863
    49.998    77.839
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.037    77.934
    49.998    77.839
END
# Calibration locations marked by a red cross
gmt psxy -: -R $projection -Sx -Wthick,red -O -K << END >> $psfile
    49.937    77.728     0.200
    49.960    77.691     0.200
    49.950    77.694     0.200
    49.937    77.714     0.200
    49.952    77.673     0.200
    49.989    77.762     0.200
    49.975    77.660     0.200
    49.978    77.641     0.200
    49.974    77.597     0.200
    49.982    77.717     0.200
    49.959    77.641     0.200
END
# Calibration location confidence ellipses
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    49.937    77.728     0.000     0.400     0.400
    49.960    77.691     0.000     0.400     0.400
    49.950    77.694     0.000     0.400     0.400
    49.937    77.714     0.000     0.400     0.400
    49.952    77.673     0.000     0.400     0.400
    49.989    77.762     0.000     0.400     0.400
    49.975    77.660     0.000     0.400     0.400
    49.978    77.641     0.000     0.400     0.400
    49.974    77.597     0.000     0.400     0.400
    49.982    77.717     0.000     0.400     0.400
    49.959    77.641     0.000     0.400     0.400
END
# Residual calibration shift vectors
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    49.937    77.728
    49.951    77.715
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    49.960    77.691
    49.974    77.708
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    49.950    77.694
    49.958    77.693
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    49.937    77.714
    49.937    77.721
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    49.952    77.673
    49.948    77.667
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    49.989    77.762
    49.988    77.762
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    49.975    77.660
    49.967    77.672
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    49.978    77.641
    49.975    77.624
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    49.974    77.597
    49.979    77.590
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    49.982    77.717
    49.977    77.732
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    49.959    77.641
    49.953    77.633
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    49.904    77.725   -88.363     1.947     2.503
    49.951    77.715    75.630     2.193     2.737
    49.974    77.708   -85.763     2.464     2.899
    49.958    77.693    66.051     2.312     2.775
    49.937    77.721   -79.925     1.523     2.213
    49.948    77.667    86.217     1.770     2.408
    49.988    77.762    78.880     1.763     1.985
    49.967    77.672   -82.510     1.616     1.795
    49.978    77.678   -68.066     1.745     2.212
    49.975    77.624   -88.841     1.554     1.958
    49.979    77.590   -76.091     1.959     2.502
    49.977    77.732   -81.715     1.858     2.731
    49.953    77.633   -81.305     3.361     5.655
    49.982    77.619   -88.967     2.035     2.948
    49.940    77.699   -68.264     1.616     2.193
    49.961    77.664   -74.926     1.652     2.457
    49.912    77.803   -70.763     1.806     2.160
    49.998    77.839   -42.830     2.658     4.073
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    49.858    77.573   -87.325     2.108     2.594
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    49.858    77.596   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    49.858    77.573     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    49.858    77.573     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    49.813    77.573   5 km
END
